package com.ruoyi.project.production.service;

import java.util.List;
import com.ruoyi.project.production.domain.TSaiFile;

/**
 * SAI文件Service接口
 * 
 * @author ruoyi
 * @date 2023-04-06
 */
public interface ITSaiFileService 
{
    /**
     * 查询SAI文件
     * 
     * @param id SAI文件ID
     * @return SAI文件
     */
    public TSaiFile selectTSaiFileById(Long id);

    /**
     * 查询SAI文件列表
     * 
     * @param tSaiFile SAI文件
     * @return SAI文件集合
     */
    public List<TSaiFile> selectTSaiFileList(TSaiFile tSaiFile);

    /**
     * 新增SAI文件
     * 
     * @param tSaiFile SAI文件
     * @return 结果
     */
    public int insertTSaiFile(TSaiFile tSaiFile);

    /**
     * 修改SAI文件
     * 
     * @param tSaiFile SAI文件
     * @return 结果
     */
    public int updateTSaiFile(TSaiFile tSaiFile);

    /**
     * 批量删除SAI文件
     * 
     * @param ids 需要删除的SAI文件ID
     * @return 结果
     */
    public int deleteTSaiFileByIds(Long[] ids);

    /**
     * 删除SAI文件信息
     * 
     * @param id SAI文件ID
     * @return 结果
     */
    public int deleteTSaiFileById(Long id);
}
